Package fr.gouv.vitam.storage.offers.tape.rest

# Class TapeCatalogResource

java.lang.Object
fr.gouv.vitam.common.server.application.resources.ApplicationStatusResource
fr.gouv.vitam.storage.offers.tape.rest.TapeCatalogResource

@Path("/offer/v1") @ApplicationPath("webresources") public class TapeCatalogResource extends ApplicationStatusResource

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.common.server.application.resources.ApplicationStatusResource

  `STATUS_URL, TENANTS_URL`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TapeCatalogResource()`
  TapeLibraryFactory should be already initialized
  `TapeCatalogResource(TapeCatalogService tapeCatalogService)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `jakarta.ws.rs.core.Response`
  `createTape(TapeCatalog tapeCatalog)`
  Creates a tape model.
  `jakarta.ws.rs.core.Response`
  `getTape(String tapeId)`
  Get a tape model from catalog
  `jakarta.ws.rs.core.Response`
  `getTapes(List<QueryCriteria> criteria)`
  Get a list of tape model from catalog
  `jakarta.ws.rs.core.Response`
  `replaceTape(String tapeId, TapeCatalog tapeCatalog)`
  replaces existing tape model by id.
  `jakarta.ws.rs.core.Response`
  `updateTape(String tapeId, Map<String,Object> fields)`
  updates existing tape model by id.

  ### Methods inherited from class fr.gouv.vitam.common.server.application.resources.ApplicationStatusResource

  `getServerTenants, status`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TapeCatalogResource

    public TapeCatalogResource(TapeCatalogService tapeCatalogService)
    Constructor
    Parameters:
      `tapeCatalogService` -

  - ### TapeCatalogResource

    public TapeCatalogResource()
    TapeLibraryFactory should be already initialized

- ## Method Details

  - ### getTape

    @GET @Path("/tapecatalog/{tapeId}") @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response getTape(@PathParam("tapeId") String tapeId)
    Get a tape model from catalog
    Parameters:
      `tapeId` -
    Returns:
      a tape model from catalog

  - ### getTapes

    @GET @Path("/tapecatalog/") @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response getTapes(List<QueryCriteria> criteria)
    Get a list of tape model from catalog
    Parameters:
      `criteria` -
    Returns:
      a list of tape model from catalog

  - ### replaceTape

    @PUT @Path("/tapecatalog/tapeId") @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response replaceTape(@PathParam("tapeId") String tapeId, TapeCatalog tapeCatalog)
    replaces existing tape model by id.
    Returns:

  - ### updateTape

    @PUT @Path("/tapecatalog/tapeId") @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response updateTape(@PathParam("tapeId") String tapeId, Map<String,Object> fields)
    updates existing tape model by id.
    Returns:

  - ### createTape

    @POST @Path("/tapecatalog/") @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response createTape(TapeCatalog tapeCatalog)
    Creates a tape model.
    Returns: